de.dhbwstuttgart.syntaxtree.type

## Class ParaList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<A>
      - - de.dhbwstuttgart.typeinference.Menge<Type>
        - - de.dhbwstuttgart.syntaxtree.type.ParaList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<Type>, java.util.Collection<Type>, java.util.List<Type>, java.util.RandomAccess

    public class ParaList
    extends Menge<Type>

See Also:
  Serialized Form

### Field Summary

Fields
`protected static Logger` `parserlog`

### Fields inherited from class java.util.Vector

`capacityIncrement, elementCount, elementData`

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`ParaList()`
`ParaList(Type t)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add_ParaList(Type obj)`
`java.lang.Object` `get_firstElement()`
`Menge<Type>` `get_ParaList()`
`Menge<Type>` `getParalist()`
`void` `setParalist(Menge<Type> paralist)`

### Methods inherited from class java.util.Vector

`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Field Detail

#### parserlog

    protected static Logger parserlog

### Constructor Detail

#### ParaList

    public ParaList()

#### ParaList

    ParaList(Type t)

### Method Detail

#### get_ParaList

    public Menge<Type> get_ParaList()

#### add_ParaList

    public void add_ParaList(Type obj)

#### get_firstElement

    public java.lang.Object get_firstElement()

#### getParalist

    public Menge<Type> getParalist()

#### setParalist

    public void setParalist(Menge<Type> paralist)